<?php

namespace AutoAdmin\Bundle\Content\Entity\Interfaces;

interface DuplicatorInterface
{
    /**
     * @return array
     */
    public function support(): array;

    /**
     * @param object $entity
     * @param object $duplicate
     *
     * @return object
     */
    public function duplicate($entity, $duplicate, $parent = null);
}